<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus GSI Proxy SSL API</title>
    <filename>main</filename>
    <docanchor file="main">globus_gsi_proxy_ssl_api</docanchor>
  </compound>
  <compound kind="group">
    <name>proxycertinfo</name>
    <title>ProxyCertInfo</title>
    <filename>group__proxycertinfo.html</filename>
    <class kind="struct">PROXYCERTINFO_st</class>
    <member kind="function">
      <type>ASN1_METHOD *</type>
      <name>PROXYCERTINFO_asn1_meth</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>gda72dee5c0c51b3eac99f689d73f122a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>PROXYCERTINFO *</type>
      <name>PROXYCERTINFO_new</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>g2149e76ece9ca0bebe93b073f972d483</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>PROXYCERTINFO_free</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>ge0df34cd04d791cdb42e4603d5aa4584</anchor>
      <arglist>(PROXYCERTINFO *cert_info)</arglist>
    </member>
    <member kind="function">
      <type>PROXYCERTINFO *</type>
      <name>PROXYCERTINFO_dup</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>gaa824eefb82d5175b18a97042963234e</anchor>
      <arglist>(PROXYCERTINFO *cert_info)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYCERTINFO_cmp</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>g0ad877accc24ec68a17a22eaf9b5e226</anchor>
      <arglist>(const PROXYCERTINFO *a, const PROXYCERTINFO *b)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYCERTINFO_print</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>gb308bfa64869a79b594ca7edadd4a3c1</anchor>
      <arglist>(BIO *bp, PROXYCERTINFO *cert_info)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYCERTINFO_print_fp</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>g97dfd2487c2faa79010b6745eafc06e7</anchor>
      <arglist>(FILE *fp, PROXYCERTINFO *cert_info)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYCERTINFO_set_policy</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>g18c84461e38addd666ab823c29812e9a</anchor>
      <arglist>(PROXYCERTINFO *cert_info, PROXYPOLICY *policy)</arglist>
    </member>
    <member kind="function">
      <type>PROXYPOLICY *</type>
      <name>PROXYCERTINFO_get_policy</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>g0a15d89e1d98626e6c726a5c0b45bb38</anchor>
      <arglist>(PROXYCERTINFO *cert_info)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYCERTINFO_set_path_length</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>gc4aaf288ef213ca75947a2864a2ddbb1</anchor>
      <arglist>(PROXYCERTINFO *cert_info, long path_length)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>PROXYCERTINFO_get_path_length</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>g28aaaf2fed62bd131f6e50f4c2d81832</anchor>
      <arglist>(PROXYCERTINFO *cert_info)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>i2d_PROXYCERTINFO</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>g289b801a5f08a2bc0519491b50959aa8</anchor>
      <arglist>(PROXYCERTINFO *cert_info, unsigned char **pp)</arglist>
    </member>
    <member kind="function">
      <type>PROXYCERTINFO *</type>
      <name>d2i_PROXYCERTINFO</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>ge81697b31f52f9b57809bdbbca443f84</anchor>
      <arglist>(PROXYCERTINFO **cert_info, unsigned char **pp, long length)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>i2d_PROXYCERTINFO_OLD</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>g12d0f3e50f08dfd04ce1fcf9e8511d42</anchor>
      <arglist>(PROXYCERTINFO *cert_info, unsigned char **pp)</arglist>
    </member>
    <member kind="function">
      <type>PROXYCERTINFO *</type>
      <name>d2i_PROXYCERTINFO_OLD</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>g86b6fa839307190f54dd22d6f896dca5</anchor>
      <arglist>(PROXYCERTINFO **cert_info, unsigned char **pp, long length)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>proxypolicy</name>
    <title>ProxyPolicy</title>
    <filename>group__proxypolicy.html</filename>
    <class kind="struct">PROXYPOLICY_st</class>
    <member kind="function">
      <type>ASN1_METHOD *</type>
      <name>PROXYPOLICY_asn1_meth</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>g5c4cff214a0ccc9cafd9f186a3f6e3b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>PROXYPOLICY *</type>
      <name>PROXYPOLICY_new</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>gab90fd2d899d826344c7b31a010bbe94</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>PROXYPOLICY_free</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>g2b1303e1cf3304cde1784fc5901d2957</anchor>
      <arglist>(PROXYPOLICY *policy)</arglist>
    </member>
    <member kind="function">
      <type>PROXYPOLICY *</type>
      <name>PROXYPOLICY_dup</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>geaefb440c2056923f81fa550c71e1f5d</anchor>
      <arglist>(PROXYPOLICY *policy)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYPOLICY_cmp</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>g99d9e0fb4803d28cb6859f0893e39740</anchor>
      <arglist>(const PROXYPOLICY *a, const PROXYPOLICY *b)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYPOLICY_print</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>g351abeea5a66bfbfe201d26c35bf296e</anchor>
      <arglist>(BIO *bp, PROXYPOLICY *policy)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYPOLICY_print_fp</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>g694fba945beb96fba1cbaef83cdf5e7b</anchor>
      <arglist>(FILE *fp, PROXYPOLICY *policy)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYPOLICY_set_policy_language</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>g0744744e4333fe60b734c0138362f19a</anchor>
      <arglist>(PROXYPOLICY *policy, ASN1_OBJECT *policy_language)</arglist>
    </member>
    <member kind="function">
      <type>ASN1_OBJECT *</type>
      <name>PROXYPOLICY_get_policy_language</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>g0138021137a80b2bd5624dff475fdbae</anchor>
      <arglist>(PROXYPOLICY *policy)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYPOLICY_set_policy</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>g93b23ace5dbbf30e06ed08f0e34f4f5c</anchor>
      <arglist>(PROXYPOLICY *proxypolicy, unsigned char *policy, int length)</arglist>
    </member>
    <member kind="function">
      <type>unsigned char *</type>
      <name>PROXYPOLICY_get_policy</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>gaa775001f0b1168f41cf468de1ccfe18</anchor>
      <arglist>(PROXYPOLICY *policy, int *length)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>i2d_PROXYPOLICY</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>g6197645e4c861395daa8cb9f759a8874</anchor>
      <arglist>(PROXYPOLICY *a, unsigned char **pp)</arglist>
    </member>
    <member kind="function">
      <type>PROXYPOLICY *</type>
      <name>d2i_PROXYPOLICY</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>ga976ad0add338845f1468ffa286c27d6</anchor>
      <arglist>(PROXYPOLICY **a, unsigned char **pp, long length)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>PROXYCERTINFO_st</name>
    <filename>structPROXYCERTINFO__st.html</filename>
  </compound>
  <compound kind="struct">
    <name>PROXYPOLICY_st</name>
    <filename>structPROXYPOLICY__st.html</filename>
  </compound>
</tagfile>
